MagickWand: deprecate.h File Reference

# deprecate.h File Reference

`#include "wand/drawing-wand.h"`
`#include "wand/magick-wand.h"`
`#include "wand/pixel-iterator.h"`
`#include "wand/pixel-wand.h"`

Go to the source code of this file.

## Typedefs
typedef struct _DrawingWand * | DrawContext
## Functions
WandExport double | DrawGetFillAlpha (const DrawingWand *)
WandExport double | DrawGetStrokeAlpha (const DrawingWand *)
WandExport DrawInfo * | DrawPeekGraphicWand (const DrawingWand *)
WandExport char * | MagickDescribeImage (MagickWand *)
WandExport char ** | MagickGetImageAttribute (MagickWand *, const char *)
WandExport char *** | PixelIteratorGetException (const PixelIterator *, ExceptionType *)
WandExport long | MagickGetImageIndex (MagickWand *)
WandExport MagickBooleanType | MagickClipPathImage (MagickWand *, const char *, const MagickBooleanType)
WandExport MagickBooleanType | MagickColorFloodfillImage (MagickWand *, const PixelWand *, const double, const PixelWand *, const long, const long)
WandExport MagickBooleanType | MagickGetImageChannelExtrema (MagickWand *, const ChannelType, unsigned long *, unsigned long *)
WandExport MagickBooleanType | MagickGetImageExtrema (MagickWand *, unsigned long *, unsigned long *)
WandExport MagickBooleanType | MagickMatteFloodfillImage (MagickWand *, const double, const double, const PixelWand *, const long, const long)
WandExport MagickBooleanType | MagickOpaqueImage (MagickWand *, const PixelWand *, const PixelWand *, const double)
WandExport MagickBooleanType | MagickPaintFloodfillImage (MagickWand *, const ChannelType, const PixelWand *, const double, const PixelWand *, const long, const long)
WandExport MagickBooleanType | MagickPaintOpaqueImage (MagickWand *, const PixelWand *, const PixelWand *, const double)
WandExport MagickBooleanType | MagickPaintOpaqueImageChannel (MagickWand *, const ChannelType, const PixelWand *, const PixelWand *, const double)
WandExport MagickBooleanType | MagickPaintTransparentImage (MagickWand *, const PixelWand *, const double, const double)
WandExport MagickBooleanType | MagickSetImageAttribute (MagickWand *, const char *, const char *)
WandExport MagickBooleanType | MagickSetImageIndex (MagickWand *, const long)
WandExport MagickBooleanType | MagickSetImageOption (MagickWand *, const char *, const char *, const char *)
WandExport MagickBooleanType | MagickTransparentImage (MagickWand *, const PixelWand *, const double, const double)
WandExport MagickWand * | MagickFlattenImages (MagickWand *)
WandExport MagickWand ** | MagickMosaicImages (MagickWand *)
WandExport MagickWand *** | MagickRegionOfInterestImage (MagickWand *, const unsigned long, const unsigned long, const long, const long)
WandExport MagickSizeType | MagickGetImageSize (MagickWand *)
WandExport PixelWand ** | PixelGetNextRow (PixelIterator *)
WandExport unsigned char * | MagickWriteImageBlob (MagickWand *, size_t *)
WandExport VirtualPixelMethod | MagickSetImageVirtualPixelMethod (MagickWand *, const VirtualPixelMethod)
WandExport void | DrawPopGraphicContext (DrawingWand *)
WandExport void | DrawPushGraphicContext (DrawingWand *)
WandExport void | DrawSetFillAlpha (DrawingWand *, const double)
WandExport void | DrawSetStrokeAlpha (DrawingWand *, const double)

## Typedef Documentation

typedef struct _DrawingWand* DrawContext

## Function Documentation

WandExport double DrawGetFillAlpha | ( | const DrawingWand * |  | ) |

WandExport double DrawGetStrokeAlpha | ( | const DrawingWand * |  | ) |

WandExport DrawInfo* DrawPeekGraphicWand | ( | const DrawingWand * |  | ) |

WandExport void DrawPopGraphicContext | ( | DrawingWand * |  | ) |

WandExport void DrawPushGraphicContext | ( | DrawingWand * |  | ) |

WandExport void DrawSetFillAlpha | ( | DrawingWand * | ,
|  | const | double |
| ) |  |  |

WandExport void DrawSetStrokeAlpha | ( | DrawingWand * | ,
|  | const | double |
| ) |  |  |

WandExport MagickBooleanType MagickClipPathImage | ( | MagickWand * | ,
|  | const char * | ,
|  | const | MagickBooleanType |
| ) |  |  |

WandExport MagickBooleanType MagickColorFloodfillImage | ( | MagickWand * | ,
|  | const PixelWand * | ,
|  | const | double,
|  | const PixelWand * | ,
|  | const | long,
|  | const | long |
| ) |  |  |

WandExport char* MagickDescribeImage | ( | MagickWand * |  | ) |

WandExport MagickWand* MagickFlattenImages | ( | MagickWand * |  | ) |

WandExport char* * MagickGetImageAttribute | ( | MagickWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport MagickBooleanType MagickGetImageChannelExtrema | ( | MagickWand * | ,
|  | const | ChannelType,
|  | unsigned long * | ,
|  | unsigned long * |  |
| ) |  |  |

WandExport MagickBooleanType MagickGetImageExtrema | ( | MagickWand * | ,
|  | unsigned long * | ,
|  | unsigned long * |  |
| ) |  |  |

WandExport long MagickGetImageIndex | ( | MagickWand * |  | ) |

WandExport MagickSizeType MagickGetImageSize | ( | MagickWand * |  | ) |

WandExport MagickBooleanType MagickMatteFloodfillImage | ( | MagickWand * | ,
|  | const | double,
|  | const | double,
|  | const PixelWand * | ,
|  | const | long,
|  | const | long |
| ) |  |  |

WandExport MagickWand* * MagickMosaicImages | ( | MagickWand * |  | ) |

WandExport MagickBooleanType MagickOpaqueImage | ( | MagickWand * | ,
|  | const PixelWand * | ,
|  | const PixelWand * | ,
|  | const | double |
| ) |  |  |

WandExport MagickBooleanType MagickPaintFloodfillImage | ( | MagickWand * | ,
|  | const | ChannelType,
|  | const PixelWand * | ,
|  | const | double,
|  | const PixelWand * | ,
|  | const | long,
|  | const | long |
| ) |  |  |

WandExport MagickBooleanType MagickPaintOpaqueImage | ( | MagickWand * | ,
|  | const PixelWand * | ,
|  | const PixelWand * | ,
|  | const | double |
| ) |  |  |

WandExport MagickBooleanType MagickPaintOpaqueImageChannel | ( | MagickWand * | ,
|  | const | ChannelType,
|  | const PixelWand * | ,
|  | const PixelWand * | ,
|  | const | double |
| ) |  |  |

WandExport MagickBooleanType MagickPaintTransparentImage | ( | MagickWand * | ,
|  | const PixelWand * | ,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport MagickWand* * * MagickRegionOfInterestImage | ( | MagickWand * | ,
|  | const unsigned | long,
|  | const unsigned | long,
|  | const | long,
|  | const | long |
| ) |  |  |

WandExport MagickBooleanType MagickSetImageAttribute | ( | MagickWand * | ,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

WandExport MagickBooleanType MagickSetImageIndex | ( | MagickWand * | ,
|  | const | long |
| ) |  |  |

WandExport MagickBooleanType MagickSetImageOption | ( | MagickWand * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * |  |
| ) |  |  |

WandExport VirtualPixelMethod MagickSetImageVirtualPixelMethod | ( | MagickWand * | ,
|  | const | VirtualPixelMethod |
| ) |  |  |

WandExport MagickBooleanType MagickTransparentImage | ( | MagickWand * | ,
|  | const PixelWand * | ,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport unsigned char* MagickWriteImageBlob | ( | MagickWand * | ,
|  | size_t * |  |
| ) |  |  |

WandExport PixelWand** PixelGetNextRow | ( | PixelIterator * |  | ) |

WandExport char* * * PixelIteratorGetException | ( | const PixelIterator * | ,
|  | ExceptionType * |  |
| ) |  |  |